# Relative humidity

A decision block that checks the relative ambient air humidity using the built-in sensor.

If the proceed option is set to Immediately, then check the current humidity without pausing the fiber. If set to When changed, then the fiber will pause until the humidity comes within the humidity range, or goes out of range.

If both minimum level and maximum level is set and doesn’t evaluate to `null` then the humidity must be within the range. If only minimum is set, then the humidity must be greater than or equal to it. If only maximum is set, then the humidity must be less than or equal to it. If neither minimum nor maximum is set, then the current humidity is just assigned to the current level variable without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum level — minimum relative humidity in percent.
- Maximum level — maximum relative humidity in percent.

## Output variables

- Current level — variable to assign the current relative humidity percentage.